// TabPageTwo.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "EAPI_WINDlg.h"
#include "Eapi.h"
#include "EApi_Seco.h"
#include "TabPage9.h"


// CTabPageNine dialog

IMPLEMENT_DYNAMIC(CTabPageNine, CDialog)
CTabPageNine::CTabPageNine(CWnd* pParent /*=NULL*/)
	: CDialog(CTabPageNine::IDD, pParent)
	, m_Fan_Cycle(0)
	, m_Fan_Duty(0)
	, m_Fan(0)
{
	EApiSetCarrier(CARRIER_0A83);
}

CTabPageNine::~CTabPageNine()
{
	EApiSetCarrier(CARRIER_NONE);
}

void CTabPageNine::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);

	DDX_Control(pDX, IDC_TEMPERATURE2, m_Temperature2);
	DDX_Control(pDX, IDC_FAN_RPS, m_Fan_RPM);
	DDX_Control(pDX, IDC_FAN_RPS2, m_Fan_RPM2);
	DDX_Control(pDX, IDC_3V3, m_3V3_Voltage);
	DDX_Control(pDX, IDC_5V, m_5V_Voltage);
	DDX_Control(pDX, IDC_12V, m_12V_Voltage);
	DDX_Control(pDX, IDC_BRIGHT, m_V0_Voltage);
	DDX_Text(pDX, IDC_SET_FAN_CYCLE, m_Fan_Cycle);
	DDX_Text(pDX, IDC_SET_FAN_DUTY, m_Fan_Duty);	
	DDX_Radio(pDX, IDC_CPU, m_Fan);
}


BEGIN_MESSAGE_MAP(CTabPageNine, CDialog)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDC_ENABLE_FAN, &CTabPageNine::OnBnClickedEnableFan)
	ON_BN_CLICKED(IDC_DISABLE_FAN, &CTabPageNine::OnBnClickedDisableFan)
	ON_BN_CLICKED(IDC_SET_DUTYCYCLE, &CTabPageNine::OnBnClickedSetDutycycle)
	ON_BN_CLICKED(IDC_GET_DUTYCYCLE, &CTabPageNine::OnBnClickedGetDutycycle)
END_MESSAGE_MAP()


// CTabPageNine message handlers

void CTabPageNine::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here

}

void CTabPageNine::OnBnClickedEnableFan()
{
	UpdateData(true);

	switch(EApiFanEnable_W83627DHG_P(m_Fan, m_Fan_Cycle, m_Fan_Duty))
	{
		case EAPI_STATUS_SUCCESS:
			GetDlgItem(IDC_ENABLE_FAN)->EnableWindow(FALSE);
			GetDlgItem(IDC_DISABLE_FAN)->EnableWindow(TRUE);
			GetDlgItem(IDC_SET_CYCLE)->EnableWindow(TRUE);
			GetDlgItem(IDC_SET_DUTYCYCLE)->EnableWindow(TRUE);
			GetDlgItem(IDC_GET_CYCLE)->EnableWindow(TRUE);
			GetDlgItem(IDC_GET_DUTYCYCLE)->EnableWindow(TRUE);
			break;
		case EAPI_STATUS_NOT_INITIALIZED:
			MessageBox(TEXT("EAPI_STATUS_NOT_INITIALIZED"), 0, 0);
			break;
		case EAPI_STATUS_UNSUPPORTED:
			MessageBox(TEXT("EAPI_STATUS_UNSUPPORTED"), 0, 0);
			break;
		case EAPI_STATUS_ERROR:
		default:
			MessageBox(TEXT("EAPI_STATUS_ERROR"), 0, 0);
			break;
	}

	return;
}

void CTabPageNine::OnBnClickedDisableFan()
{
	UpdateData(true);

	switch(EApiFanDisable_W83627DHG_P(m_Fan))
	{
		case EAPI_STATUS_SUCCESS:
			GetDlgItem(IDC_ENABLE_FAN)->EnableWindow(TRUE);
			GetDlgItem(IDC_DISABLE_FAN)->EnableWindow(FALSE);
			GetDlgItem(IDC_SET_CYCLE)->EnableWindow(FALSE);
			GetDlgItem(IDC_SET_DUTYCYCLE)->EnableWindow(FALSE);
			GetDlgItem(IDC_GET_CYCLE)->EnableWindow(FALSE);
			GetDlgItem(IDC_GET_DUTYCYCLE)->EnableWindow(FALSE);
			break;
		case EAPI_STATUS_NOT_INITIALIZED:
			MessageBox(TEXT("EAPI_STATUS_NOT_INITIALIZED"), 0, 0);
			break;
		case EAPI_STATUS_UNSUPPORTED:
			MessageBox(TEXT("EAPI_STATUS_UNSUPPORTED"), 0, 0);
			break;
		case EAPI_STATUS_ERROR:
		default:
			MessageBox(TEXT("EAPI_STATUS_ERROR"), 0, 0);
			break;
	}

	return;
}

void CTabPageNine::OnBnClickedGetDutycycle()
{
	UpdateData(true);

	switch(EApiFanPWMGetDutyCycle_W83627DHG_P(m_Fan, &m_Fan_Duty))
	{
		case EAPI_STATUS_SUCCESS:
			break;
		case EAPI_STATUS_NOT_INITIALIZED:
			MessageBox(TEXT("EAPI_STATUS_NOT_INITIALIZED"), 0, 0);
			break;
		case EAPI_STATUS_UNSUPPORTED:
			MessageBox(TEXT("EAPI_STATUS_UNSUPPORTED"), 0, 0);
			break;
		case EAPI_STATUS_ERROR:
		default:
			MessageBox(TEXT("EAPI_STATUS_ERROR"), 0, 0);
			break;
	}

	UpdateData(false);

	return;
}

void CTabPageNine::OnBnClickedSetDutycycle()
{
	UpdateData(true);

	switch(EApiFanPWMSetDutyCycle_W83627DHG_P(m_Fan, m_Fan_Cycle, m_Fan_Duty))
	{
		case EAPI_STATUS_SUCCESS:
			break;
		case EAPI_STATUS_NOT_INITIALIZED:
			MessageBox(TEXT("EAPI_STATUS_NOT_INITIALIZED"), 0, 0);
			break;
		case EAPI_STATUS_UNSUPPORTED:
			MessageBox(TEXT("EAPI_STATUS_UNSUPPORTED"), 0, 0);
			break;
		case EAPI_STATUS_ERROR:
		default:
			MessageBox(TEXT("EAPI_STATUS_ERROR"), 0, 0);
			break;
	}
		
	return;
}
